
From: Richard Purdie <rpurdie@rpsys.net>

Stop the nand functions triggering false softlockup reports.

Signed-off-by: Richard Purdie <rpurdie@rpsys.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/mtd/nand/nand_base.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/mtd/nand/nand_base.c~mtd-stop-the-nand-functions-triggering-false-softlockup-reports drivers/mtd/nand/nand_base.c
--- devel/drivers/mtd/nand/nand_base.c~mtd-stop-the-nand-functions-triggering-false-softlockup-reports	2005-07-25 23:53:14.000000000 -0700
+++ devel-akpm/drivers/mtd/nand/nand_base.c	2005-07-25 23:53:14.000000000 -0700
@@ -526,6 +526,7 @@ static void nand_wait_ready(struct mtd_i
 	do {
 		if (this->dev_ready(mtd))
 			return;
+		touch_softlockup_watchdog();
 	} while (time_before(jiffies, timeo));	
 }
 
_
